## CORBA Interface ISessionAdmin

This functionality is implemented by top-level server objects so that server administrators can administer all sessions within the server.

### Definition

CORBA Module SASIOMCommon

### ISessionAdmin Description

CORBA Definitions
method ListSessions | ListSessions returns the number of sessions and provides information about each session.
method GetSession | GetSession allows the administrator client control of the session.
method CloseSession | This operation allows the administrator to close a particular session.

Java Classes
ISessionAdminHelper | Used to manipulate the ISessionAdmin type
ISessionAdminHolder | Used to process the ISessionAdmin type as an out parameter

Java Interfaces
ISessionAdmin | This functionality is implemented by top-level server objects so that server administrators can administer all sessions within the server.

Java Interface ISessionAdmin

This functionality is implemented by top-level server objects so that server administrators can administer all sessions within the server.

Package com.sas.iom.SASIOMCommon

ISessionAdmin Description

`public interface ISessionAdmin
extends org.omg.CORBA.Object`

Method Summary

int | ListSessions ( java.lang.String userFilter , UUIDSeqHolder sessionIDs , StringSeqHolder owners , IntSeqHolder secsInact , IntSeqHolder nMembers ) throws ( GenericError ); ListSessions returns the number of sessions and provides information about each session.
Object | GetSession ( UUID sessionID ) throws ( GenericError ); GetSession allows the administrator client control of the session.
void | CloseSession ( UUID sessionID ) throws ( GenericError ); This operation allows the administrator to close a particular session.

Java Class ISessionAdminHelper

public class ISessionAdminHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the ISessionAdmin type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ISessionAdminHelper

Java Class ISessionAdminHolder

public class ISessionAdminHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ISessionAdmin type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ISessionAdminHolder

CORBA Method ListSessions

ListSessions returns the number of sessions and provides information about each session.

Description

Usage

Java Method ListSessions

`int` ListSessions (

        java.lang.String userFilter ,
        UUIDSeqHolder sessionIDs ,
        StringSeqHolder owners ,
        IntSeqHolder secsInact ,
        IntSeqHolder nMembers
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
userFilter | in | java.lang.String | If the filter is empty, info on all sessions is returned. Otherwise, only info pertaining to sessions owned by the specified user is returned.
sessionIDs | out | UUIDSeqHolder | An array of unique identifiers for all returned sessions.
owners | out | StringSeqHolder | An array containing the name of the owner of each returned session.
secsInact | out | IntSeqHolder | An array containing the time in seconds that the session has been inactive.
nMembers | out | IntSeqHolder | An array containing the number of members owned by each session.

Example

CORBA Method GetSession

GetSession allows the administrator client control of the session.

Description

Usage

Java Method GetSession

`Object` GetSession (

        UUID sessionID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | UUID | The UUID of the session to get. This may be obtained by calling ListSessions.

Example

CORBA Method CloseSession

This operation allows the administrator to close a particular session.

Description

Usage

Java Method CloseSession

`void` CloseSession (

        UUID sessionID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | UUID | The UUID of the session to close. This may be obtained by calling ListSessions.

Example